https://merchant-api.ifood.com.br/merchant/v1.0Authorization: Bearer YOUR_TOKEN`GET /merchants`page — Page number (starts at 1)size — Items per page (default: 100)200:[
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Pizzaria Central",
"corporateName": "Pizzaria Central LTDA"
}
]Unauthorized — Invalid or expired tokenInternalServerError — Failed to retrieve stores`GET /merchants/{merchantId}`merchantId — Store ID200:{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Pizzaria Central",
"corporateName": "Pizzaria Central LTDA",
"description": "Especializada en pizza napolitana",
"averageTicket": 85.50,
"exclusive": false,
"type": "RESTAURANT",
"status": "AVAILABLE",
"createdAt": "2024-01-15T10:30:00",
"address": {
"street": "Rua das Flores",
"number": "123",
"city": "São Paulo",
"state": "SP",
"postalCode": "01310-100",
"country": "BR",
"district": "Centro",
"latitude": -23.5505,
"longitude": -46.6333
},
"operations": [
{
"name": "DELIVERY",
"salesChannels": [
{
"name": "MARKETPLACE",
"enabled": true
}
]
}
]
}Unauthorized — Invalid tokenForbidden — No permission to access storeInternalServerError — Failed to retrieve details`GET /merchants/{merchantId}/status`merchantId — Store ID200:[
{
"operation": "DELIVERY",
"salesChannel": "MARKETPLACE",
"available": true,
"state": "OK",
"validations": [
{
"id": "val-001",
"code": "is-connected",
"state": "OK",
"message": {
"title": "Conectado",
"subtitle": "La tienda está respondiendo",
"description": "Polling recibido en los últimos 30 segundos"
}
}
],
"message": {
"title": "Tienda En Línea",
"subtitle": "Lista para recibir pedidos",
"description": "Todas las validaciones pasaron exitosamente"
}
}
]BadRequest — Invalid parametersUnauthorized — Invalid tokenForbidden — No permissionInternalServerError — Failed to retrieve status`GET /merchants/{merchantId}/status/{operation}`merchantId — Store IDoperation — Operation name (DELIVERY, TAKEOUT, INDOOR)`GET /merchants/{merchantId}/interruptions`merchantId — Store ID200:[
{
"id": "interrupt-001",
"description": "Mantenimiento del equipo",
"start": "2025-02-05T14:00:00Z",
"end": "2025-02-05T15:30:00Z"
}
]`POST /merchants/{merchantId}/interruptions`merchantId — Store ID{
"description": "Mantenimiento del equipo",
"start": "2025-02-05T14:00:00Z",
"end": "2025-02-05T15:30:00Z"
}description — Pause reason (max 255 chars)start — Pause start (ISO 8601)end — Pause end (ISO 8601)201:{
"id": "interrupt-001",
"description": "Mantenimiento del equipo",
"start": "2025-02-05T14:00:00Z",
"end": "2025-02-05T15:30:00Z"
}start < end (start before end)BadRequest — Invalid parametersInterruptionOverlap — Overlaps with existing pauseUnauthorized — Invalid tokenForbidden — No permissionInternalServerError — Failed to create interruption`DELETE /merchants/{merchantId}/interruptions/{interruptionId}`merchantId — Store IDinterruptionId — Interruption ID204:No content. Interruption deleted successfully.Error codes:Unauthorized — Invalid tokenForbidden — No permissionInternalServerError — Failed to delete interruption`GET /merchants/{merchantId}/opening-hours`merchantId — Store ID200:[
{
"shifts": [
{
"id": "shift-001",
"dayOfWeek": "MONDAY",
"start": "09:00:00",
"duration": 360
}
]
}
]`PUT /merchants/{merchantId}/opening-hours`merchantId — Store ID{
"storeId": "550e8400-e29b-41d4-a716-446655440000",
"shifts": [
{
"dayOfWeek": "MONDAY",
"start": "09:00:00",
"duration": 360
}
]
}storeId — Store IDshifts — Array of shiftsdayOfWeek — Day of week (MONDAY-SUNDAY)start — Opening time (HH:MM:SS)duration — Duration in minutes201:{
"storeId": "550e8400-e29b-41d4-a716-446655440000",
"shifts": [
{
"id": "shift-001",
"dayOfWeek": "MONDAY",
"start": "09:00:00",
"duration": 360,
"enabled": true,
"createdAt": "2025-02-06T10:30:00Z"
}
]
}dayOfWeek must be MONDAY-SUNDAYstart must be 00:00:00 to 23:59:59duration must be > 0BadRequest — Invalid parametersUnauthorized — Invalid tokenForbidden — No permissionInternalServerError — Failed to update hours`POST /merchants/checkin-qrcode`{
"merchantIds": [
"550e8400-e29b-41d4-a716-446655440000",
"550e8400-e29b-41d4-a716-446655440001"
]
}merchantIds — Array of store IDs (max 20)200:Archivo PDF binario listo para impresión.Límites:BadRequest — Empty list or more than 20 storesUnauthorized — Invalid tokenForbidden — No permission for one or more storesNotFound — One or more stores not foundInternalServerError — Failed to generate QR code| Code | Meaning |
|---|---|
HTTP 200 | OK — Successful request |
HTTP 201 | Created — Resource created successfully |
HTTP 204 | No Content — Success with no response body |
HTTP 400 | Bad Request — Invalid parameters |
HTTP 401 | Unauthorized — Invalid or expired token |
HTTP 403 | Forbidden — No permission for resource |
HTTP 404 | Not Found — Resource not found |
HTTP 409 | Conflict — Conflict (e.g., interruption overlap) |
HTTP 429 | Too Many Requests — Request limit exceeded |
HTTP 500 | Internal Server Error — Server error |
`GET /merchants?page=1&size=50`page — Page number (starts at 1)size — Items per page (default: 100)